hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sean Busbey <bus...@apache.org>
Subject [DISCUSS] updating docs on Apache Hadoop versions for recent upstream releases.
Date Thu, 23 Mar 2017 15:50:09 GMT
Heya folks,

Hadoop has just closed their RCs on a 2.8.0 release[1]. During voting,
two Hadoop PMC members positioned the release as "not production
ready"[2], similar to how the 2.7.0 release was flagged[3].

The RC only just passed, so the actual release bits and announcement
haven't gone up yet. So I don't know yet for sure what the downstream
facing phrasing will be.

However, given the problems discovered in the RC process (several test
failures led to the above "let's go ahead with release and flag it as
not production ready") and the likely positioning as the release being
for "adventurous" downstream users, I'd like to preemptively update
our hadoop supported versions docs[4] to call out that our downstream
users should avoid 2.8.0 in the same way we tell them to avoid 2.7.0.

We should also call out the 3.0.0 pre-GA releases, now that there are
two alpha releases.

Thoughts?

-busbey

[1]: https://s.apache.org/hadoop-2.8.0-vote-passes
[2]:
https://s.apache.org/X9r0
https://s.apache.org/sIxj
[3]: http://hadoop.apache.org/releases.html#25+August%2C+2016%3A+Release+2.7.0+available
[4]: http://hbase.apache.org/book.html#hadoop

Mime
View raw message